%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: Real Kiosk extension for firefox
Name: firefox-ext-r-kiosk
Version: 0.7.2
Release: %mkrel 9
License: Public Domain
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/1659
Source: https://addons.mozilla.org/en-US/firefox/downloads/latest/1659/addon-1659-latest.xpi
# (tv) fix support for firefox-3.0.x:
Patch0:	r-kiosk-fix-support-for-firefox-3.0.x.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires:	mozilla-firefox = %{firefox_epoch}:%{firefox_version}
Obsoletes:	mozilla-firefox-ext-blogrovr < %{version}-%{release}
Provides:	mozilla-firefox-ext-blogrovr = %{version}-%{release}
BuildRequires:	firefox-devel

%description
Real Kiosk (R-kiosk) is a Firefox extension that defaults to full screen,
disables all menus, toolbars, key commands and right button menus.
Alt+Home still takes you home.


%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p0

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}


%changelog
* Wed Sep 16 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-9mdv2010.0
+ Revision: 443516
- relax check for firefox (#53723)

* Wed Sep 16 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-8mdv2010.0
+ Revision: 443370
- rebuild for new ff

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0.7.2-7mdv2010.0
+ Revision: 417672
- buildrequire firefox-devel, which provides the new macros for building extensions
- make use of the firefox package macros
- rebuild for firefox 3.5.2

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.2-6mdv2010.0
+ Revision: 408637
- rebuild for firefox 3.0.13

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-5mdv2010.0
+ Revision: 405032
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-4mdv2010.0
+ Revision: 385776
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 0.7.2-3mdv2010.0
+ Revision: 369613
- rebuild for new ff

* Wed Apr 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdv2009.1
+ Revision: 367505
- shoud not be noarch

* Wed Apr 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-1.mdv2009.1
+ Revision: 367318
- import firefox-ext-r-kiosk


